/* tasquery.h, compose and send query to TAS server
   
 * Copyright (C) 2001,2002 M.C. Bezemer
 *
 * Licensed under the terms of the GNU General Public License.
 * ABSOLUTELY NO WARRANTY.
 * See the file `COPYING' in this directory.
 */

#ifndef TAQUERY_H
#define TASQUERY_H

#ifndef LOCAL_HOST
#define LOCAL_HOST	"0.0.0.0"
#endif
#ifndef TAS_HOST
#define TAS_HOST	"www.tas.tudelft.nl"
#endif
#ifndef TAS_PORT
#define TAS_PORT	443
#endif

int tas_query_init(void);
int tas_query_add(char *string, int urlencode);
int do_tas_query(char **result, int *result_len);
int tas_query(char *query, int query_len, char **result, int *result_len);

#endif
